Apps: Segment Rules
GET /apps/{app_id}/segment_rulesPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/segment_rules \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-Type: application/json'Responses
Section titled “Responses”200
{ "all_users": [ { "key": "all_users", "type": "boolean" } ], "personal": [ { "key": "alias", "type": "string" }, { "key": "email", "type": "string" }, { "key": "age", "type": "numeric" } ], "activity": [ { "key": "signup", "type": "date_ago" }, { "key": "number_of_sessions", "type": "numeric" }, { "key": "last_active", "type": "date_ago" }, { "key": "last_contacted", "type": "date_ago" }, { "key": "last_contacted_admin", "type": "date_ago" }, { "key": "last_campaign_open", "type": "date_ago" }, { "key": "opt_out", "type": "boolean" }, { "key": "email_unsubscribed", "type": "boolean" } ], "device_settings": [ { "key": "device_guid", "type": "string" }, { "key": "device_app_version", "type": "string" }, { "key": "device_os_version", "type": "string" }, { "key": "device_sdk_version", "type": "string" }, { "key": "device_push_permission", "type": "string" }, { "key": "device_location_permission", "type": "string" }, { "key": "device_type", "type": "string" } ], "location_events": [ { "key": "last_been_at", "type": "date_ago" }, { "key": "number_of_visits", "type": "numeric" } ], "events": [ { "key": "last_in_app_event", "type": "date_ago" }, { "key": "number_of_event_clicks", "type": "numeric" }, { "key": "event_recorded", "type": "boolean" } ], "location": [], "custom_data": [ { "key": "state", "type": "string" }, { "key": "industry", "type": "string" }, { "key": "jobtitle", "type": "string" }, { "key": "address", "type": "string" }, { "key": "zip", "type": "integer" }, { "key": "date_of_birth", "type": "date_ago" }, { "key": "is_valid", "type": "boolean" }, { "key": "lifecyclestage", "type": "string" }, { "key": "account_create_date_new", "type": "integer" }, { "key": "closedate", "type": "integer" }, { "key": "date_of_designation", "type": "integer" }, { "key": "designation_date", "type": "date_ago" }, { "key": "designation_time", "type": "date_ago" }, { "key": "is_manager", "type": "boolean" }, { "key": "manager_type", "type": "string" }, { "key": "countries", "type": "string" }, { "key": "cuisine", "type": "string" }, { "key": "checking_account_balance", "type": "integer" }, { "key": "checking_account_start_date", "type": "date_ago" }, { "key": "dormant", "type": "boolean" }, { "key": "company", "type": "string" } ]}
